"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const createElement = (type, id, str) => {
    const div = document.createElement(type);
    if (id) {
        div.id = id;
    }
    div.innerHTML = str;
    document.querySelector('head').appendChild(div);
    return div;
};
// id增加前缀，避免id重复
exports.prefixId = (id) => id && `tal_util_${id}_style`;
/**
 * 创建style标签，并应用str中的样式
 * 如果传入id，则会生成标识符，同时会判断该style是否已创建
 * @param {String} str 样式字符串
 * @param {id} id
 */
exports.addStyle = (str, id) => {
    const newId = exports.prefixId(id);
    const style = (newId && document.getElementById(newId)) || createElement('style', newId, str);
    style.innerHTML = str;
    return style;
};
