"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require(".");
const test1 = 'bar';
const test2 = [1, 2];
const test3 = [{ bar: 1 }, { foo: 2 }];
const test4 = [{ bar: 1, name: 'bar' }, { foo: 2, name: 'foo' }];
describe('测试array-to-obj', () => {
    it('非数组，返回包装后的obj', () => {
        expect(_1.arrayToObj(test1)).toEqual({
            key: 'bar',
        });
    });
    describe('数组格式', () => {
        it('value为非对象', () => {
            expect(_1.arrayToObj(test2)).toEqual({
                0: 1,
                1: 2,
            });
        });
        it('value为对象, 找不到key值', () => {
            expect(_1.arrayToObj(test3)).toEqual({
                0: test3[0],
                1: test3[1],
            });
        });
        it('value为对象, 有key', () => {
            expect(_1.arrayToObj(test4, 'name')).toEqual({
                bar: test4[0],
                foo: test4[1],
            });
        });
    });
});
