"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * 数组转对象
 * @param {Array} array
 * @param {String} key key值
 */
const is_object_1 = require("../is-object");
exports.arrayToObj = (array, key = 'key') => {
    const obj = {};
    if (!Array.isArray(array)) {
        obj[key] = array;
    }
    else {
        array.forEach((val, index) => {
            // 如果val非obj或者没有找到key值对应的value，则使用index作为key
            const keyName = is_object_1.isObject(val) && val[key] ? val[key] : index;
            obj[keyName] = val;
        });
    }
    return obj;
};
