"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
/**
 * 从给定的数组中移除指定下标的元素，并返回新数组
 * @param {Array} arr 待处理数组
 * @param {Array} indexs 待移除的数组索引值（默认是数组arr实际下标）
 * @param {Boolean} offset indexs参数偏移值
 */
exports.deleteArrayFromIndex = (arr, indexs, offset = 0) => {
    if ([arr, indexs].some((value) => !Array.isArray(value))) {
        return arr;
    }
    const list = lodash_1.cloneDeep(arr);
    let i = 0;
    indexs.sort((a, b) => a - b).forEach((index) => {
        list.splice(index - i - offset, 1);
        i++;
    });
    return list;
};
