"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const is_object_1 = require("../is-object");
/**
 * 对象转数组
 * 非数组默认返回其数组形式
 * @param {Object} obj
 */
exports.objToArray = (obj) => (is_object_1.isObject(obj)
    ? Object.keys(obj).map((key) => {
        let val = obj[key];
        // 如果val是对象，那么key值设置在其本身上，负责返回新的对象
        if (is_object_1.isObject(val)) {
            // TODO: 可能会覆盖原有的key值，看后期需求
            val.key = key;
        }
        else {
            val = {
                key,
                value: val,
            };
        }
        return val;
    })
    : [obj]);
