"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require(".");
let i;
let cacheEdfn;
beforeEach(() => {
    i = 1;
    const fn = () => new Promise(((resolve) => {
        i += 1;
        resolve(i);
    }));
    cacheEdfn = _1.promiseCache(fn, 1);
});
describe('测试promiseCache方法', () => {
    it('可以缓存数据， 可以清除缓存', () => __awaiter(this, void 0, void 0, function* () {
        yield cacheEdfn();
        expect(i).toBe(2);
        // 再次调用，返回缓存的数据
        yield cacheEdfn();
        expect(i).toBe(2);
    }));
    it('缓存过期，可以拿到新数据', (done) => __awaiter(this, void 0, void 0, function* () {
        // 缓存过期后，可以拿到新数据
        expect(i).toBe(1);
        yield cacheEdfn();
        expect(i).toBe(2);
        yield cacheEdfn();
        yield cacheEdfn();
        setTimeout(() => __awaiter(this, void 0, void 0, function* () {
            yield cacheEdfn();
            expect(i).toBe(3);
            done();
        }), 1000);
    }));
    it('手动清除缓存数据，可以拿到最新数据', () => __awaiter(this, void 0, void 0, function* () {
        expect(i).toBe(1);
        yield cacheEdfn();
        expect(i).toBe(2);
        cacheEdfn.clear();
        yield cacheEdfn();
        expect(i).toBe(3);
    }));
});
