/**
 * 事件绑定，返回值remove方法可以取消绑定。
 * @param {Element} target 目标dom
 * @param {String} eventType 事件名称
 * @param {Function} callback 回掉
 * @param {Boolean}} useCapture 是否捕获截断监听
 */
export declare const addEventListener: (target: HTMLElement, eventType: string, callback: () => void, useCapture?: boolean) => {
    remove(): void;
};
interface IeventObj {
    remove(): any;
}
/**
 * 移除addEventListener绑定的事件, 支持多个event一起移除
 * @param config addEventListener 返回的数据，或者组成的数组
 */
export declare const removeEvents: (config: IeventObj | IeventObj[]) => void;
export {};
