/**
 * 移动数组中指定元素位置到指定位置，返回新数组
 * @param {Array} arr 待处理数组
 * @param {Number} from 开始
 * @param {Number}} to 结束
 */
import { cloneDeep } from 'lodash';
export const arrayItemMove = (arr, from, to) => {
    if (!Array.isArray(arr)) {
        throw new Error('仅支持数组元素移动');
    }
    if (from < 0 || to > arr.length - 1) { // tslint:disable-line
        throw new Error('请提供正确的参数');
    }
    const data = cloneDeep(arr);
    data.splice(to, 0, data.splice(from, 1)[0]);
    return data;
};
