/**
 * 数组转对象
 * @param {Array} array
 * @param {String} key key值
 */
import { isObject } from '../is-object';
export const arrayToObj = (array, key = 'key') => {
    const obj = {};
    if (!Array.isArray(array)) {
        obj[key] = array;
    }
    else {
        array.forEach((val, index) => {
            // 如果val非obj或者没有找到key值对应的value，则使用index作为key
            const keyName = isObject(val) && val[key] ? val[key] : index;
            obj[keyName] = val;
        });
    }
    return obj;
};
