import { beforeUnload } from '../before-unload';
const isAddBeforeUnload = () => typeof window.onbeforeunload === 'function';
/**
 * 下载（url必须为下载地址，否则会跳转到其他页面）, 如果之前绑定了onbeforeunload方法，那么会在下载后添加
 * @param {Strig} url 下载地址
 */
export const download = (url) => {
    const isAdd = isAddBeforeUnload();
    const link = document.createElement('a');
    link.href = url;
    link.download = 'true';
    document.body.appendChild(link);
    if (isAdd) {
        beforeUnload.remove();
    }
    link.click();
    document.body.removeChild(link);
    if (isAdd) {
        beforeUnload.start();
    }
};
