import { objToArray } from '.';
const list1 = [1, null, ''];
describe('测试obj-to-array', () => {
    it('非对象格式，返回其保证后的数组格式', () => {
        list1.forEach((val) => expect(objToArray(val)).toEqual([val]));
    });
    it('对象value为普通值(string,number等),返回包装后的对象数组', () => {
        expect(objToArray({
            bar: 123,
        })).toEqual([
            {
                key: 'bar',
                value: 123,
            },
        ]);
    });
    it('对象value为对象格式,则返回新添加的key值', () => {
        expect(objToArray({
            bar: {
                foo: 123,
            },
        })).toEqual([
            {
                foo: 123,
                key: 'bar',
            },
        ]);
    });
});
